升级glibc6后发生故障的解决方法(翻译)

为当前最终发行版之前的所有版本提供支持
头像
marsteel
帖子: 555
注册时间: 2005-11-28 12:09
送出感谢: 0
接收感谢: 1 次
联系:

升级glibc6后发生故障的解决方法(翻译)

#1

帖子 marsteel » 2008-03-13 16:08

https://bugs.launchpad.net/ubuntu/+sour ... bug/201673
你需要做的是用livecd引导,打开终端窗口,下载libc6_2.7-5ubuntu2_i386.deb

代码: 全选

wget http://us.archive.ubuntu.com/ubuntu/pool/main/g/glibc/libc6_2.7-5ubuntu2_i386.deb
然后挂载ubuntu分区比如/media/disk-1,打开一个终端窗口,运行

代码: 全选

dpkg -x libc6_2.7-5ubuntu2_i386.deb /media/disk-1
完成后重启

原文:
Kyle M Weller wrote 5 minutes ago: (permalink)

ok, all u do is boot your live cd and open a terminal, wget http://us.archive.ubuntu.com/ubuntu/poo ... 2_i386.deb
then mount your ubuntu drive whichever that is, it may be here:/media/disk-1 or something or another, open a terminal and then dpkg -x libc6_2.7-5ubuntu2_i386.deb /media/drivewhereubuntu is already installed then reboot
头像
ljj_jjl2008
论坛版主
帖子: 14253
注册时间: 2007-09-16 8:29
送出感谢: 94 次
接收感谢: 229 次

#2

帖子 ljj_jjl2008 » 2008-03-13 16:53

不行呀,执行过后,可以见到登陆界面了,但是输入密码回车就直接又回来了,不能进入。
终端也不行
qquchn
帖子: 246
注册时间: 2006-12-13 8:22
来自: Bonn
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 qquchn » 2008-03-13 19:28

官方论坛上的方法。
用LiveCD引导系统,如果可以挂在现有根分区最好
如果没法挂载,请用mount命令挂载
然后执行

代码: 全选

sudo cp --parents `dpkg -L libc6 | xargs` /根挂载的路径(例如为/media/disk)
即可修复
上次由 qquchn 在 2008-03-14 5:01,总共编辑 1 次。
头像
greatgarlic
帖子: 1794
注册时间: 2007-07-11 12:31
来自: neverland
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 greatgarlic » 2008-03-13 19:44

wei shen me zhe me chi!!!
wo chong zhuang wan xi tong cai you zhe ge tie zi
To be is to do--Nietzsche
To do is to be--Kant
Do be do be do---Frank Sinatra
http://ggarlic.org
头像
marsteel
帖子: 555
注册时间: 2005-11-28 12:09
送出感谢: 0
接收感谢: 1 次
联系:

Re: 升级glibc6后发生故障的解决方法(翻译)

#5

帖子 marsteel » 2008-03-13 20:05

有人用这个方法成功恢复系统了,祝各位好运!
发信人: neeboy (mama dayita), 信区: LinuxApp
标 题: Re: ubuntu8.04试用数月终于崩溃
发信站: 水木社区 (Thu Mar 13 20:09:49 2008), 站内


谢谢你,通过这个bug报告,我已经回到原来系统,万分感谢!
太激动了,



以后再也不动不动就升级了。。。

谢谢谢谢!

【 在 marsteel (FoodMan) 的大作中提到: 】
: 是libc6升级造成的
: https://bugs.launchpad.net/ubuntu/+sour ... bug/201673
: 我用的tw的repos没升级,逃过一劫
marsteel 写了:https://bugs.launchpad.net/ubuntu/+sour ... bug/201673
你需要做的是用livecd引导,打开终端窗口,下载libc6_2.7-5ubuntu2_i386.deb

代码: 全选

wget http://us.archive.ubuntu.com/ubuntu/pool/main/g/glibc/libc6_2.7-5ubuntu2_i386.deb
然后挂载ubuntu分区比如/media/disk-1,打开一个终端窗口,运行

代码: 全选

dpkg -x libc6_2.7-5ubuntu2_i386.deb /media/disk-1
完成后重启

原文:
Kyle M Weller wrote 5 minutes ago: (permalink)

ok, all u do is boot your live cd and open a terminal, wget http://us.archive.ubuntu.com/ubuntu/poo ... 2_i386.deb
then mount your ubuntu drive whichever that is, it may be here:/media/disk-1 or something or another, open a terminal and then dpkg -x libc6_2.7-5ubuntu2_i386.deb /media/drivewhereubuntu is already installed then reboot
头像
xiooli
帖子: 6956
注册时间: 2007-11-19 21:51
来自: 成都
送出感谢: 0
接收感谢: 3 次
联系:

#6

帖子 xiooli » 2008-03-13 20:09

真的这么恐怖么?看来未来几天最好忍住不升级。
sam1860
帖子: 312
注册时间: 2006-10-28 11:05
送出感谢: 0
接收感谢: 0

#7

帖子 sam1860 » 2008-03-13 20:15

生还者来报告。幸好当年7.04出时刻了张碟,启动进去救活了 :lol:
google drive client for linux 下载
---------------------------------------------------------------
项目|9918视频秀
CentOS, Nginx, Java, C++, Go, MySQL, Redis
sam1860
帖子: 312
注册时间: 2006-10-28 11:05
送出感谢: 0
接收感谢: 0

#8

帖子 sam1860 » 2008-03-13 20:16

I fixed it, was actually quite simple
1. boot with live cd
2. open nautilus
3. mount disk by double-clicking it - now its mounted under /media/disk

4. download to desktop
http://archive.ubuntu.com/ubuntu/pool/m ... 2_i386.deb
http://archive.ubuntu.com/ubuntu/pool/m ... 2_i386.deb

5. unpack both by normal means - right click, extract here

6. go to first extracted dir
7. extract data.tgz
8. copy contents to /media/disk

9. go to second extracted dir
10. extract data.tgz
11. copy contents to /media/disk

check with chroot /media/disk if everything is okay

voila - unbricked

for sure there is a more simple solution but this one does the trick
用的是这个方法
google drive client for linux 下载
---------------------------------------------------------------
项目|9918视频秀
CentOS, Nginx, Java, C++, Go, MySQL, Redis
头像
marsteel
帖子: 555
注册时间: 2005-11-28 12:09
送出感谢: 0
接收感谢: 1 次
联系:

#9

帖子 marsteel » 2008-03-13 20:17

ljj_jjl2008 写了:不行呀,执行过后,可以见到登陆界面了,但是输入密码回车就直接又回来了,不能进入。
终端也不行
再翻译一个方法

用Live CD/DVD引导系统,最好用Gnome的LiveCD盘,可能方便挂载分区
终端窗口运行
sudo su
mkdir /myroot
mount /dev/sda1 /myroot (/dev/sda1是ubuntu的分区)
然后下载老版本的glibc

代码: 全选

chroot /myroot wget http://us.archive.ubuntu.com/ubuntu/pool/main/g/glibc/libc6_2.7-5ubuntu2_i386.deb
运行dpkg降级

代码: 全选

chroot /myroot dpkg -x libc6_2.7-5ubuntu2_i386.deb
重启
Lillipuziano wrote 3 hours ago: (permalink)

Here's how I did:

* Boot from the Live CD/DVD
* Depending on the Live CD you are using (Gnome is better, cause you'll only need to double click the appropriate icon on your desktop), you'll have to manually mount your root partition or not.
If you need to mount it (so, if you are using KDE), the best way is:

sudo su
mkdir /myroot
mount /dev/sda1 /myroot (where /dev/sda1 should be replaced in case)

* Then, download the old glibc:

chroot /myroot wget http://us.archive.ubuntu.com/ubuntu/poo ... 2_i386.deb

* And run dpkg in order to downgrade it:

chroot /myroot dpkg -x libc6_2.7-5ubuntu2_i386.deb

* After, you can always remove the package from your root dir.
头像
solcomo
帖子: 2838
注册时间: 2007-04-25 13:12
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 solcomo » 2008-03-13 20:17

:evil: :evil: 但是我系统都进不去了
怎么办
♜♞♝♛♚♝♞♜
♟♟♟♟♟♟♟♟
♙♙♙♙♙♙♙♙
♖♘♗♕♔♗♘♖

☠☯⚔⚓☣☦☃☕
☹☻☪☭☬⚖⚛⚜
ℜℳℬ™ ℋℯℓ℘ ℳℭ
sƂɐʍ рǀɹoʍ əɥʇ oS
头像
marsteel
帖子: 555
注册时间: 2005-11-28 12:09
送出感谢: 0
接收感谢: 1 次
联系:

#11

帖子 marsteel » 2008-03-13 21:20

solcomo 写了::evil: :evil: 但是我系统都进不去了
怎么办
用liveCD光盘引导
头像
solcomo
帖子: 2838
注册时间: 2007-04-25 13:12
送出感谢: 0
接收感谢: 0
联系:

#12

帖子 solcomo » 2008-03-13 21:48

没有livecd... :shock:
用grub加载initrd.gz进去..
那个问题是好了
但是进不去xwindow
startx就黑屏..
♜♞♝♛♚♝♞♜
♟♟♟♟♟♟♟♟
♙♙♙♙♙♙♙♙
♖♘♗♕♔♗♘♖

☠☯⚔⚓☣☦☃☕
☹☻☪☭☬⚖⚛⚜
ℜℳℬ™ ℋℯℓ℘ ℳℭ
sƂɐʍ рǀɹoʍ əɥʇ oS
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#13

帖子 eexpress » 2008-03-13 21:51

鬼搞哦。这么bt???
● 鸣学
czk
帖子: 232
注册时间: 2006-10-08 22:20
送出感谢: 0
接收感谢: 0

#14

帖子 czk » 2008-03-13 22:38

已经有2.7-9ubuntu2版了,升级不会有问题
czk
帖子: 232
注册时间: 2006-10-08 22:20
送出感谢: 0
接收感谢: 0

#15

帖子 czk » 2008-03-13 22:40

我升级出问题了以后,用的解决方法是:
下载2.7-5的包
用livecd启动
mount 根分区
chroot到根分区
dpkg -i安装2.7-5的包
重启就ok了
回复

回到 “老旧版本支持”